<?php

namespace App\View\Components;

use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class SidebarSubItem extends Component
{
    public $label;
    public $url;
    public $key;
    public $active;

    public function __construct(
        $label,
        $url = '#',
        $key = null,
        $active = false
    ) {
        $this->label = $label;
        $this->url = $url;
        $this->key = $key;
        $this->active = $active;
    }

    public function render(): View
    {
        return view('components.sidebar-sub-item');
    }
}
